activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Daniel Kulp <dk...@apache.org>
Subject Re: Jetty 9.2 OSGi upgrade
Date Wed, 19 Aug 2015 21:05:58 GMT
Likely needs to move to Karaf 4.   Karaf 4 is the first version to support Jetty 9.

Dan



> On Aug 19, 2015, at 4:57 PM, Christopher Shannon <christopher.l.shannon@gmail.com>
wrote:
> 
> I've finished all the work for the Jetty 9.2 upgrade, except for the OSGi
> piece.  The web console and demo work all of the WebSocket support has been
> converted to the new APIs.  I've also fixed all of the tests in the http
> module that were relying on the old Jetty APIs.
> 
> However, the karaf integration tests don't work and it looks like Karaf
> might need to be upgraded to make it compatible with Jetty 9, or some work
> will need to be done to make Jetty 9 work in the older version of Karaf we
> are using (2.4).  For example, the pax-web-features which is part of Karaf
> appears to be too old.
> 
> My OSGi experience is pretty limited so I was wondering if there was anyone
> with more OSGi experience who might volunteer to take a look at this
> piece?  I was thinking about creating a new Jira subtask for the OSGi piece.
> 
> Thanks,
> Chris

-- 
Daniel Kulp
dkulp@apache.org - http://dankulp.com/blog
Talend Community Coder - http://coders.talend.com


Mime
View raw message